%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define objprelink 1
%define gccver %(gcc -dumpversion| cut -d. -f-2)

Name: digikam
Version: 0.5.1
Release: alt2
Source: %name-%version.tar.bz2

Group: Graphics
Summary: GPhoto2 KDE3 frontend
License: GPL
URL: http://digikam.sourceforge.net/

Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %gccver

#BuildRequires: libgphoto2-devel gphoto2 libfam0-devel
#BuildRequires: libexif7-devel

# Automatically added by buildreq on Thu Sep 12 2002
#BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ kde-common kde-config kdelibs-devel kdesdk-utils libarts-devel libcups libexif-devel libfam-devel libgphoto2-devel libjpeg-devel liblcms libmng libpng-devel libqt3-devel libssl libstdc++-devel libxslt objprelink xml-utils zlib-devel

BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: kde-common kde-config kdelibs-devel kdesdk-misc
BuildRequires: libarts-devel libcups libexif-devel
BuildRequires: libgphoto2-devel libjpeg-devel liblcms libmng
BuildRequires: libpng-devel libqt3-devel libssl libstdc++-devel
BuildRequires: libxslt xml-utils zlib-devel
BuildRequires: kdelibs-gcc_compiled = %gccver
%if %objprelink
BuildRequires: objprelink
%endif

%description
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images
from a digital camera on a linux machine.

%prep
%setup -q

%build
export QTDIR=%qtdir
export KDEDIR=%prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export WANT_AUTOCONF_2_5=1
%configure \
        --enable-mt \
        --disable-debug \
	--disable-rpath

%if %objprelink
%make CXX=g++prelink
%else
%make CXX=g++
%endif

%install
%make DESTDIR=%buildroot install

install -d $RPM_BUILD_ROOT%_menudir
kdedesktop2mdkmenu.pl digikam Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/digikam.desktop %buildroot/%_menudir/digikam

#(cd $RPM_BUILD_ROOT
#mkdir -p .%_menudir
#cat > .%_menudir/%name <<EOF
#?package(%name): \
#command="%_bindir/digikam" \
#title="Digikam" \
#longtitle="GPhoto2 KDE3 frontend" \
#needs="x11" \
#section="Multimedia/Graphics" \
#icon="video_section.png"
#EOF
#)

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog README TODO
%doc %_datadir/doc/HTML/en/%name
%lang(fr) %doc %_datadir/doc/HTML/fr/%name

%_bindir/*
%_datadir/apps/%name
%_iconsdir/*/*/*/*.png
%_datadir/applnk/Graphics/digikam.desktop
%_menudir/*

%changelog
* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt2
- rebuild with new gphoto2 && KDE3.1

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt1
- build for ALT

* Fri Aug 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-4mdk
- from Xavier Granier <xavier.granier@laposte.net> :
	- Move menu to Multimedia/Graphics
	- add BuildRequires:            libexif7-devel

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- add in-spec-menu

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- adjust buildrequires

* Wed Jul 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- from Gilles CAULIER <caulier.gilles@free.fr> :
	- Update release 0.5.0 : KDE3 port. Update spec file.

* Fri Jul 12 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-2mdk
- Fix some bugs on 'spec' file

* Mon Jul 08 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-1mdk
- Original release
